﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MongoDB.Driver;
using MongoDB.Bson;

namespace MongoDbTest
{
    public class Student
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public int Age { get; set; }
        public IEnumerable<string> Subjects { get; set; }
    }

    class Program
    {
        private static void test_post()
        {
            MongoClient client = new MongoClient("mongodb://localhost:27017");

            var database = client.GetDatabase("mydb");

            IMongoCollection<BsonDocument> collection = database.GetCollection<BsonDocument>("post");
            insertPost(collection);
            var builder = Builders<BsonDocument>.Filter;
            var filter = builder.Eq("author", "Dadić");
            var list = collection.Find(filter).ToList();

            foreach (var item in list)
            {
                List<BsonElement> items = item.ToList<BsonElement>();
                Console.WriteLine("{0}", item.ToString());
            }
        }
        private static void insertPost(IMongoCollection<BsonDocument> collection)
        {
            var document = new BsonDocument()
                {
                    { "title", "Spajanje iz c# na MongoDb" },
                    {"descr", "Testni program pokazuje kako se iz c# spojiti na MongoDb" },
                    {"author", "Dadić" },
                    {"tags", new BsonArray(new [] {"MongoDb", "C#"}) }
                };
            collection.InsertOne(document);
        }
        static void Main(string[] args)
        {

            test_post();

            Console.ReadLine();
        }
    }
}
